Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonAddonDescriptor

    java.lang.Object
      org.codehaus.griffon.runtime.core.DefaultGriffonAddonDescriptor

All Implemented Interfaces:
  GriffonAddonDescriptor

    public class DefaultGriffonAddonDescriptor
    extends Object

Base implementation of the GriffonAddonDescriptor interface.

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private GriffonAddon` | `addon`
`private String` | `name`
`private String` | `pluginName`
`private String` | `prefix`
`private String` | `version`

Constructor Summary
`DefaultGriffonAddonDescriptor(String prefix, String name, String pluginName, String version, GriffonAddon addon)`

Method Summary
`GriffonAddon` | `getAddon()`
`String` | `getName()`
`String` | `getPluginName()`
`String` | `getPrefix()`
`String` | `getVersion()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### addon

    private final GriffonAddon addon

### name

    private final String name

### pluginName

    private final String pluginName

### prefix

    private final String prefix

### version

    private final String version

Constructor Detail

### DefaultGriffonAddonDescriptor

    public DefaultGriffonAddonDescriptor(String prefix, String name, String pluginName, String version, GriffonAddon addon)

Method Detail

### getAddon

    public GriffonAddon getAddon()

### getName

    public String getName()

### getPluginName

    public String getPluginName()

### getPrefix

    public String getPrefix()

### getVersion

    public String getVersion()

### toString

    public String toString()

Groovy Documentation